MPIR_Type_contiguous(3)

NAME
MPIR_Type_contiguous - create a contiguous datatype

SYNOPSIS
int MPIR_Type_contiguous(int count, MPI_Datatype oldtype, MPI_Datatype * newtype)

INPUT PARAMETERS
count
    - number of elements in the contiguous block
oldtype
    - type (using handle) of datatype on which vector is based

OUTPUT PARAMETERS
newtype
    - handle of new contiguous datatype

RETURN VALUE
MPI_SUCCESS on success, MPI error code on failure.